void setup() {
  randomSeed(analogRead(0));
  // delay(100);


  //  delay(200);
  // midiA.setHandleControlChange(cc1);
  //  midiA.setHandleNoteOn(noteon);
  //  midiA.setHandleNoteOff(noteOff);

  cli();

  delay(100);

  midiA.begin(MIDI_CHANNEL_OMNI);
  delay(20000);


  //pinMode (16, INPUT); digitalWrite (16, HIGH);
  //digitalWrite(16,HIGH);
  SPI.begin();
  SPI.setBitOrder(MSBFIRST);
  /* Enable interrupt on timer2 == 127, with clk/8 prescaler. At 16MHz,
   this gives a timer interrupt at 15625Hz. */
  TIMSK2 = (1 << OCIE2A);
  OCR2A = 128;
  //OCR2B = 127;

  /* clear/reset timer on match */
  TCCR2A = 1 << WGM21 | 0 << WGM20; /* CTC mode, reset on match */
  TCCR2B = 0 << CS22 | 1 << CS21 | 1 << CS20; /* clk, /8 prescaler */

  TCCR0B = B0000001;
  TCCR1B = B0000001;

  sei();


  /*************************
   ****** MS DEFINES *******
   *************************/

  // setup for the sequencer timer
  Timer1.initialize(5208); // default 120bpm @ 96ppq (1 quarter = 500ms, so 500/96)
  Timer1.attachInterrupt(sequencer);

  // set the pin mode for the shift register control pins
  pinMode(LEDlatchPin, OUTPUT);
  pinMode(LEDclockPin, OUTPUT);
  pinMode(LEDdataPin, OUTPUT);

  pinMode(BUTTONlatchPin, OUTPUT);
  pinMode(BUTTONclockPin, OUTPUT);
  pinMode(BUTTONdataPin, INPUT);

  for (byte bit = 0; bit < 3; bit++)
    pinMode(select[bit], OUTPUT);  // set the three 4051 select pins to output

  //set the pot locks
  getPots();
  lockPot(6); // use value of 6 to lock all pots

  resetAuto();

  //begin I2C Bus
  Wire.begin();

  //begin EEPROM with I2C Address
  mem_1.begin(0, 0); //addr 0 (DEC) type 0 (defined as 24LC256)

  tocRead(); // update the toc array with a read from EEPROM page 448 - defined in HelperFunctions

  // flash the version number
  lockStep = currentStep;
  showingNumbers = true;
  number = versionNumber;

  // check for live mode
  checkSwitches();
  if (pressed[39])
    mode = 3;

  // noise mode
  if (pressed[32])
    noise_mode = 1;
  else
    noise_mode = 0;
}


















